APT-MARK(8)

NAZWA
apt-mark - Zaznaczanie/odznaczanie pakietu jako zainstalowanego automatycznie.

STRESZCZENIE

apt-mark [-f=nazwa_pliku] {auto | manual | showauto | showmanual} pakiet... | {-v | --version} | {-h | --help}

OPIS

apt-mark zmienia flagę mówiącą o tym, czy pakiet był zainstalowany automatycznie.

Kiedy użytkownik zażąda zainstalowania pakietu, to zazwyczaj instalowane są również inne pakiety, zależące od żądanego pakietu. Te zależne pakiety są oznaczane jako zainstalowane automatycznie. Kiedy takie automatycznie zainstalowane pakiety nie są już potrzebne (czyli żaden inny pakiet od nich nie zależy), zostaną usunięte na przykład przez apt-get lub aptitude.

auto
    auto jest używane do zaznaczania pakietu jako zainstalowanego automatycznie, co spowoduje jego usunięcie, w sytuacji gdy żaden inny ręcznie zainstalowany pakiet nie będzie od niego zależał.

manual
    manual jest używane do zaznaczania pakietu jako zainstalowanego ręcznie, co go uchroni przed automatycznym usunięciem, w sytuacji gdy żaden inny pakiet nie będzie od niego zależał.

hold
    hold jest używane do wstrzymania pakietu, co zabroni automatycznego instalowania, aktualizowania lub usuwania pakietu. Polecenie jest nakładką na dpkg --set-selections, stan pakietu jest zarządzany przez dpkg(1), a opcja --file nie wpływa na działanie tego polecenia.

unhold
    unhold jest używane do usunięcia stanu wstrzymania pakietu ustawionego poprzednio i pozwolenia na wykonywanie wszystkich akcji na tym pakiecie.

showauto
    showauto jest używane do wypisania listy wszystkich pakietów zainstalowanych automatycznie. Każdy pakiet jest wypisywany w osobnej linii. Jeśli nie podano żadnej nazwy pakietu, to zostaną wypisane wszystkie zainstalowane automatycznie pakiety. Jeśli podano nazwy pakietów, to zostaną wypisane tylko te z nich, które są automatycznie zainstalowane.

showmanual
    showmanual może zostać użyte w dokładnie taki sam sposób, jak showauto z tym wyjątkiem, że wypisze listę ręcznie zainstalowanych pakietów.

showhold
    showhold jest używane do wypisania listy wszystkich pakietów wstrzymanych, w taki sam sposób jak pozostałe polecenia "show".

OPCJE

-f=nazwa_pliku, --file=nazwa_pliku
    Informacje o stanie pakietów są czytane z (lub zapisywane do) pliku przekazanego w parametrze nazwa_pliku zamiast z pliku domyślnego, którym jest extended_status w katalogu określonym w pliku konfiguracyjnym w pozycjiDir::State.

-h, --help
    Wyświetla krótkie informacje o użyciu.

-v, --version
    Wyświetla wersję programu.

-c, --config-file
    Plik konfiguracyjny. Podaje plik konfiguracyjny do użycia. Program najpierw przeczyta swój domyślny plik konfiguracyjny, a następnie plik podany jako argument tej opcji. Jeśli jest potrzeba ustawienia opcji konfiguracji zanim domyślny plik konfiguracyjny zostanie przetworzony, należy podać plik do użycia w zmiennej środowiskowej APT_CONFIG. Informacje o składni pliku można znaleźć w apt.conf(5).

-o, --option
    Ustawia opcję konfiguracji. Pozwala ustawić dowolną opcję konfiguracji. Składnia jest następująca: -o Foo::Bar=bar. -o i --option można podać wielokrotnie - do ustawiania różnych opcji.

PLIKI

/var/lib/apt/extended_states
    Lista stanów pakietów zainstalowanych automatycznie. Pozycja w pliku konfiguracyjnym: Dir::State::extended_states.

ZOBACZ TAKŻE

apt-get(8),aptitude(8),apt.conf(5)

DIAGNOSTYKA

apt-mark zwraca zero, gdy zakończyło się pomyślnie, wartość niezerową - w przypadku błędu.

BUGS

Strona błędów APT[1]. Aby zgłosić błąd w APT, proszę przeczytać /usr/share/doc/debian/bug-reporting.txt lub opis polecenia reportbug(1).

TŁUMACZENIE

Tłumaczenie stron podręcznika: Robert Luberda <robert@debian.org>, 2000-2012. Tłumaczenie przewodnika offline: Krzysztof Fiertek <akfedux@megapolis.pl>, 2004

Proszę zauważyć, że przetłumaczony dokument może zawierać fragmenty nieprzetłumaczone. Ma to na celu uniknięcie utracenia istotnych informacji, w przypadkach gdy oryginał zostanie zaktualizowany, a tłumaczenie - nie.

AUTORZY

Mike O'Connor

zespół APT

PRZYPISY

1.  Strona błędów APT
    http://bugs.debian.org/src:apt